/**********************************************************************
**  Device:     A8101                                                 *
**  File:	main.c                                                    *
**  Author:	Frank                                                     *
**  Target:	AMICCOM                                                   *
**  Tools:	ICE                                                       *
**  Created:    2013-07-01                                            *
**  Description:                                                      *
**  This file is a sample code for your reference.                    *
**                                                                    *
**  Copyright (C) 2012 AMICCOM Electronics Corp.                      *
**                                                                    *
**  Revision history:                                                 *
**                                                                    *
**  Revision 0.0  2013/07/08                                          *
**  Initial version.                                                  *
**********************************************************************/
#define _MAIN_C_

#include "..\include\include.h"

/*********************************************************************
* main loop
*********************************************************************/
void main(void)
{
    RSFLAG = 0x07;          // Clear reset flag
    Check_stable = 0x5AA5;  // Set the STABLE code for flash program / erase check

    InitMCU();
    SetInterrupt();
    InitRF();
    InitVariable();
    FlashTiming(16, PROG_152US, ERASE_3008US);
    while(1)
    {
        Search_Device();
        Pair_ID();
        System_Link();
    }
}