#ifndef _GLOBALVAR_H_
#define _GLOBALVAR_H_

#include "..\include\include.h"

#ifdef _MAIN_C_
/*********************************************************************
**  Constant Declaration
*********************************************************************/

/*********************************************************************
**  RF
*********************************************************************/
const Uint8 code Hop_Tab[36] =
{
    0x0D,0x3E,0x6E,
    0x42,0x72,0x11,
    0x76,0x15,0x46,
    0x19,0x4A,0x7A,
    0x4E,0x7E,0x1D,
    0x82,0x21,0x52,
    0x25,0x56,0x86,
    0x5A,0x8A,0x29,
    0x8E,0x2D,0x5E,
    0x31,0x62,0x92,
    0x66,0x96,0x35,
    0x9A,0x39,0x6A,
};

const Uint8 code Pair_Tab[3] = {0x35,0x66,0x96};
/*********************************************************************
** Global Variable Declaration
*********************************************************************/
Uint8 xdata New_ID[4];
Uint8 xdata Check_ID[6];
bit idata KEY_Pair;
bit idata Search_Flag;
bit idata Timer_Flag;
Uint16 xdata TIMEBASE;
bit idata First_Link;
Uint8 xdata TIMECNT;
bit idata TIMEOUT;
bit idata Random_Flag;
bit idata TX_Active;
bit idata STOP_Flag;
bit idata LINK_FAIL;
Uint8 xdata Pair_index;
bit idata Pair_OK;
bit idata BufGroup;
Uint8 xdata BufIndex;
bit idata DataTxFlag;
Uint8 xdata Link_Quality;
bit idata Update_Flag;
Uint8 xdata Channel_number;
Uint8 xdata CH_STATE[5];
Uint8 xdata New_CH_STATE[5];
Uint8 xdata MAX_VOL;
bit idata ACK_Flag;
Uint8 xdata Link_index;
Uint8 xdata Temperature;
Uint8 idata CODECBUF[2][64];
bit idata Channel_Select_Flag;
Uint8 xdata RSSI;
bit idata TalkBackFlag;
Uint8 xdata VOL_Level;
bit idata BufEmpty;
bit idata Link_response;
Uint16 data Check_stable;
Uint8 data tmp;
Uint8 xdata Check[2];
Uint8 xdata CH_TABLE[3][36];
Uint8 xdata close;
Uint8 xdata close_max;
Uint8 xdata pcs;
Uint8 xdata max;
#else
/*********************************************************************
** External Global Variable Declaration
*********************************************************************/
extern const Uint8 code Hop_Tab[36];
extern const Uint8 code Pair_Tab[3];
extern Uint8 xdata New_ID[4];
extern Uint8 xdata Check_ID[6];
extern bit idata KEY_Pair;
extern bit idata Search_Flag;
extern bit idata Timer_Flag;
extern Uint16 xdata TIMEBASE;
extern bit idata First_Link;
extern Uint8 xdata TIMECNT;
extern bit idata TIMEOUT;
extern bit idata Random_Flag;
extern bit idata TX_Active;
extern bit idata STOP_Flag;
extern bit idata LINK_FAIL;
extern Uint8 xdata Pair_index;
extern bit idata Pair_OK;
extern bit idata BufGroup;
extern Uint8 xdata BufIndex;
extern bit idata DataTxFlag;
extern Uint8 xdata Link_Quality;
extern bit idata Update_Flag;
extern Uint8 xdata Channel_number;
extern Uint8 xdata CH_STATE[5];
extern Uint8 xdata New_CH_STATE[5];
extern Uint8 xdata MAX_VOL;
extern bit idata ACK_Flag;
extern Uint8 xdata Link_index;
extern Uint8 xdata Temperature;
extern Uint8 idata CODECBUF[2][64];
extern bit idata Channel_Select_Flag;
extern Uint8 xdata RSSI;
extern bit idata TalkBackFlag;
extern Uint8 xdata VOL_Level;
extern bit idata BufEmpty;
extern bit idata Link_response;
extern Uint16 data Check_stable;
extern Uint8 data tmp;
extern Uint8 xdata Check[2];
extern Uint8 xdata CH_TABLE[3][36];
extern Uint8 xdata close;
extern Uint8 xdata close_max;
extern Uint8 xdata pcs;
extern Uint8 xdata max;
#endif
#endif