#ifndef _main_h_
#define _main_h_

#include "..\include\include.h"

typedef unsigned char   Uint8;
typedef unsigned short  Uint16;
typedef unsigned long   Uint32;

typedef signed char     Sint8;
typedef signed short    Sint16;
typedef signed long	Sint32;

#define OFF     0
#define ON      1
#define IAP_ADDRESS	0x3F00

#define Master
//#define AFH
//#define VOXON

/*********************************************************************
**  function Declaration
*********************************************************************/
//Function.C
extern void InitTimer0(void);
extern void Timer0ISR (void);
extern void InitMCU(void);
extern void SetInterrupt(void);
extern void RFISR(void);
extern void InitVariable(void);
extern void INT1ISR(void);
extern void INT2ISR(void);
extern void INT0ISR(void);
extern void InitTimer_Random(void);
extern void InitCodec(void);
extern void INT4ISR(void);
extern void Delay1ms(Uint16);
extern void MeasureExtADC(void);
extern void DisplayBar(void);
extern void Delay15us(Uint8);
extern void ReadFlash(Uint16 address,Uint8 buf[],Uint8 length);
extern void VOXISR(void);
extern void VOL_Control(void);
extern void INT6ISR(void);

//RfA8101.C
extern void ResetCmd(Uint8);
extern void A8101_Config(void);
extern void A8101_WriteID(void);
extern void A8101_Cal(void);
extern void CHGroupCal(Uint8);
extern void Err_State(void);
extern void SetCH(Uint8);
extern void A8101_WriteReg(Uint16,Uint8);
extern Uint8 A8101_ReadReg(Uint16);
extern void StrobeCmd(Uint8);
extern void InitRF(void);

//Demo.C
extern void Search_Device(void);
extern void Pair_ID(void);
extern void System_Link(void);


//AvoidWiFi.c
extern void Search_Channel(void);
extern void Close_Channel(Uint8);
extern void New_Channel_Table(void);
extern void Select_Close_Channel(void);
extern void Close_Index(Uint8);
extern void Channel_Index(Uint8);
#endif